//-----------------------------------------------------------------------------
// Copyright (c) 2012 GarageGames, LLC
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to
// deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
// sell copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
// IN THE SOFTWARE.
//-----------------------------------------------------------------------------

// Load up all scripts.  This function is called when
// a server is constructed.

function TimeOfDay::onAdd( %this )  
{  
   %this.addTimeOfDayEvent( 10, "Sunrise" );  
   %this.addTimeOfDayEvent( 170, "Sunset" );  
}  
  
function TimeOfDay::onTimeEvent( %this, %identifier, %currentTime, %currentElevation )  
{  
   echo( %identifier );  
     
   %lightsEnabled = ( ( %identifier $= "Sunrise" ) ? false : true );  
   %objectsHidden = ( ( %identifier $= "Sunrise" ) ? false : true ); 
   %objectsShown = ( ( %identifier $= "Sunset" ) ? false : true ); 
     
     
   if ( isObject( DynamicLights ) )  
      DynamicLights.setAllLightsEnabled( %lightsEnabled );  
   if ( isObject( MissionLights ) )  
      MissionLights.setAllLightsEnabled( %lightsEnabled );              
   if ( isObject( DayObjects ) )  
      DayObjects.setHidden( %objectsHidden );  
   if ( isObject( NightObjects ) )  
      NightObjects.setShown( %objectsShown );  
}  
  
function SimSet::setAllLightsEnabled( %this, %enabled )  
{  
   for ( %i = 0; %i < %this.getCount(); %i++ )  
   {  
      %light = %this.getObject( %i );    
      %light.setLightEnabled( %enabled );  
   }  
}  

function SimSet::setHidden( %this, %enabled )  
{  
   for ( %i = 0; %i < %this.getCount(); %i++ )  
   {  
      %object = %this.getObject( %i );    
      %object.setHidden( %enabled );  
   }  
}  

function SimSet::setShown( %this, %enabled )  
{  
   for ( %i = 0; %i < %this.getCount(); %i++ )  
   {  
      %object = %this.getObject( %i );    
      %object.setHidden( %enabled );  
   }  
}  